--Create By BuildApi, Create time: 2020-07-21 17:42:50 
-----------------------------------------------------------------
--classes define
-----------------------------------------------------------------
---@class KLImGui 
KLImGui = KLImGui or {}

---@param label string 
---@param pKLStr KLString 
---@param buf_size number 
---@param ImGuiInputTextFlags_flags number @default value:0 
---@return boolean 
---@return KLString pKLStr 
function KLImGui.InputText(label, pKLStr, buf_size, ImGuiInputTextFlags_flags) end 

---@param label string 
---@param pKLStr KLString 
---@param buf_size number 
---@param size ImVec2 @default value:ImVec2(0,0) 
---@param ImGuiInputTextFlags_flags number @default value:0 
---@return boolean 
---@return KLString pKLStr 
---@return ImVec2 size 
function KLImGui.InputTextMultiline(label, pKLStr, buf_size, size, ImGuiInputTextFlags_flags) end 

---@param label string 
---@param hint string 
---@param pKLStr KLString 
---@param buf_size number 
---@param ImGuiInputTextFlags_flags number @default value:0 
---@return boolean 
---@return KLString pKLStr 
function KLImGui.InputTextWithHint(label, hint, pKLStr, buf_size, ImGuiInputTextFlags_flags) end 


-----------------------------------------------------------------
---@class KLString 
KLString = KLString or {}

---@return KLString 
function KLString:new() end 

---@return KLString 
function KLString:new_local() end 

function KLString:delete() end 

---@param szStr string 
---@return KLString 
function KLString:new(szStr) end 

---@param szStr string 
---@return KLString 
function KLString:new_local(szStr) end 

---@param rhs KLString 
---@return KLString 
---@return KLString rhs 
function KLString:new(rhs) end 

---@param rhs KLString 
---@return KLString 
---@return KLString rhs 
function KLString:new_local(rhs) end 

---@param nStart number @default value:0 
---@param nCover number @default value:0 
---@param szStr string @default value:nullptr 
---@return KLString 
function KLString:Insert(nStart, nCover, szStr) end 

---@param nStart number @default value:0 
---@param nCover number @default value:0 
---@param pStr KLString @default value:nullptr 
---@return KLString 
---@return KLString pStr 
function KLString:InsertS(nStart, nCover, pStr) end 

---@param szStr string 
---@return KLString 
function KLString:Assign(szStr) end 

---@param pStr KLString 
---@return KLString 
---@return KLString pStr 
function KLString:AssignS(pStr) end 

---@param szStr string 
---@return KLString 
function KLString:Append(szStr) end 

---@param pStr KLString 
---@return KLString 
---@return KLString pStr 
function KLString:AppendS(pStr) end 

---@param nStart number @default value:0 
---@param nLen number @default value:-1 
---@return KLString 
function KLString:Erase(nStart, nLen) end 

---@return KLString 
function KLString:Clear() end 

---@param szStr string 
---@param nStart number @default value:0 
---@return number 
function KLString:Find(szStr, nStart) end 

---@param pStr KLString 
---@param nStart number @default value:0 
---@return number 
---@return KLString pStr 
function KLString:FindS(pStr, nStart) end 

---@param szStr string 
---@return number 
function KLString:RFind(szStr) end 

---@param pStr KLString 
---@return number 
---@return KLString pStr 
function KLString:RFindS(pStr) end 

---@param nIdx number 
---@return string 
function KLString:GetAt(nIdx) end 

---@param nIdx number 
---@param c string 
---@return KLString 
function KLString:SetAt(nIdx, c) end 

---@param nStart number @default value:0 
---@param nLen number @default value:-1 
---@return KLString 
function KLString:SubString(nStart, nLen) end 

---@param szStr string 
---@return number 
function KLString:Compare(szStr) end 

---@param pStr KLString 
---@return number 
---@return KLString pStr 
function KLString:CompareS(pStr) end 

---@return string 
function KLString:ToString() end 

---@return number 
function KLString:Size() end 

---@return number 
function KLString:Capacity() end 

---@param nCapacity number @default value:0 
---@return boolean 
function KLString:Reserve(nCapacity) end 

function KLString:ShrinkToFit() end 

---@return boolean 
function KLString:IsEmpty() end 


-----------------------------------------------------------------
--global function define
-----------------------------------------------------------------

